function data1 = remove_dc_tian(data)
si = size(data);
data1_r = zeros(si(1),si(2));
data1_i = zeros(si(1),si(2));
data_r = real(data);
data_i = imag(data);
for ii = 1:size(data,2)
    data_r_temp = data_r(:,ii);
    data_i_temp = data_i(:,ii);
    data1_r(:,ii) = data_r_temp - mean(data_r_temp);
    data1_i(:,ii) = data_i_temp - mean(data_i_temp);
end
data1 = data1_r + 1i*data1_i;
end

